Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Interface EBXMLBindingMBean

All Superinterfaces:
  BindingMBean, weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, TPMBaseMBean, weblogic.management.WebLogicMBean

public interface EBXMLBindingMBean
extends BindingMBean

The class represents the EBXML Binding type supported by WLI for Trading Partners. The ebXML protocol supports non-repudiation by digitally signing outbound messages and acknowledgements based on the attributes is-signature-required and is-receipt-signature-required. A predefined set of algorithms and parameters are provided by the WLI implementation. However, optional Xpath filtering transforms may be applied to the message for signing purposes.

Field Summary
`static String` | `ATLEAST_ONCE`
`static String` | `ATMOST_ONCE`
`static String` | `BESTEFFORT`
`static String` | `ONCE_AND_ONLY_ONCE`

Fields inherited from interface com.bea.wli.tpm.management.configuration.BindingMBean
`EBXML, EBXML_10, EBXML_20, ROSETTANET, ROSETTANET_11, ROSETTANET_20, WEBSERVICE`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `addReferenceToSignatureCertificate(CertificateMBean certMBean)` Internal Use Only - Registers the certificate mbean of type signature certificate.
`void` | `addSignatureCertificate(String name)` Registers the name or alias of the signature certificate for encrypting messages digitally.
`void` | `addSignatureTransform(String xpath)` This element defines an Xpath expression that may be one of a sequence of optional data transformations on a message that it is to be digitally signed.
`String` | `getDeliverySemantics()` Specifies the reliable messaging behavior.
`String` | `getPersistDuration()` Specifies the duration for which messages have to be stored persistently for the purpose of duplicate elimination.
`int` | `getRetryCount()` Specifies the maximum number of retries for sending a reliably delivered message The default is 0.
`String` | `getRetryInterval()` Specifies the time interval (in milliseconds) between retries of sending a reliably delivered message following a timeout waiting for a message acknowledgement.
`String` | `getSignatureCertificateName()` OAM Use Only - Name of the signature certificate used for encryption .
`boolean` | `isSignatureReceiptRequired()` Specifies that the message is to be acknowledged by a digitally signed receipt acknowledgement message using the signature certificate of the party sending the acknowledgement
`boolean` | `isSignatureRequired()` Specifies that the message is to be digitally signed using the signature certificate of the trading partner sending the message.
`void` | `removeAllSignatureTransforms()` Remove all XPath transformation algorithm .
`void` | `removeSignatureCertificate()` Removes the reference for the signature certificate used for digitally signing message.
`void` | `removeSignatureTransform(String transform)` Remove the specific xpath transformation algorithm, that is used for computing the message digest.
`String[]` | `retrieveAllSignatureTransforms()` Returns all the optional xpath signatures transforms, used for computing the message digest used for digitally signing message for ebxml
`CertificateMBean` | `retrieveSignatureCertificate()` Retrieves the CertificateMBean for signature certificate..
`void` | `setDeliverySemantics(String newValue)` Registers the reliable messaging behavior.
`void` | `setPersistDuration(String description)` Registers the duration for which messages have to be stored persistently for the purpose fo duplicate elimination.
`void` | `setRetryCount(int newValue)` Registers the maximum number of retries for sending a reliably delivered message
`void` | `setRetryInterval(String description)` Registers the time interval for reliably sending a message following a timeout waiting for message acknowledgement.
`void` | `setSignatureReceiptRequired(boolean newValue)` Registers that the message acknowledgements would be digitally signed or not using the signature certificate of the trading partner
`void` | `setSignatureRequired(boolean newValue)` Registers that the message would be digitally signed as a whole or not, using the signature certificate of the trading partner
`void` | `updateAll(String businessProtocolName, String businessProtocolVersion, boolean isDefault, boolean isSignatureRequired, boolean isReceiptSignatureRequired, String deliverySematics, int retryCount, String retryInterval, String persistDuration)` Updates the EBXML Binding

Methods inherited from interface com.bea.wli.tpm.management.configuration.BindingMBean
`addReferenceToTransport, addTransport, getBindingName, getBusinessProtocolName, getBusinessProtocolVersion, getTradingPartnerName, isDefaultBinding, isEbxml, isRosettaNet, isWebService, removeTransport, retrieveTradingPartner, retrieveTransport, setBindingName, setBusinessProtocolName, setBusinessProtocolVersion, setDefaultBinding, setEbxml, setRosettaNet, setWebService`

Methods inherited from interface com.bea.wli.tpm.management.configuration.TPMBaseMBean
`fromXML, getDelegateObject, isActive, publish, remove, setActive, setDelegateObject, toXML, toXMLInternal, update, updateInternal`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### BESTEFFORT

    public static final String BESTEFFORT

See Also:
  Constant Field Values

### ONCE_AND_ONLY_ONCE

    public static final String ONCE_AND_ONLY_ONCE

See Also:
  Constant Field Values

### ATLEAST_ONCE

    public static final String ATLEAST_ONCE

See Also:
  Constant Field Values

### ATMOST_ONCE

    public static final String ATMOST_ONCE

See Also:
  Constant Field Values

Method Detail

### isSignatureRequired

    public boolean isSignatureRequired()

  Specifies that the message is to be digitally signed using the signature certificate of the trading partner sending the message. Archiving of signed messages in a secure audit log is controlled by the global attribute secure-audit-logging using the TradingPartnerMgmtMBean. The message will be signed as a whole implies the parts of the message would not be signed individually

  Returns:
    - true if message is to be signed or not. default is no, message would not be signed
  See Also:
    `TradingPartnerMgmtMBean`

### setSignatureRequired

    public void setSignatureRequired(boolean newValue)
                              throws javax.management.InvalidAttributeValueException

  Registers that the message would be digitally signed as a whole or not, using the signature certificate of the trading partner

  Parameters:
    `newValue` - - true if the message is to be signed or false if not
  Throws:
    `javax.management.InvalidAttributeValueException`

### isSignatureReceiptRequired

    public boolean isSignatureReceiptRequired()

  Specifies that the message is to be acknowledged by a digitally signed receipt acknowledgement message using the signature certificate of the party sending the acknowledgement

  Returns:
    - true if acknowledged is to be signed or not. default is no, message would not be signed

### setSignatureReceiptRequired

    public void setSignatureReceiptRequired(boolean newValue)
                                     throws javax.management.InvalidAttributeValueException

  Registers that the message acknowledgements would be digitally signed or not using the signature certificate of the trading partner

  Parameters:
    `newValue` - - true if the message is to be signed or false if not
  Throws:
    `javax.management.InvalidAttributeValueException`

### getDeliverySemantics

    public String getDeliverySemantics()

  Specifies the reliable messaging behavior. Reliable messaging options are different for both versions of ebxml. For

  Ebxml 1.0 supported options are

  - BestEffort - WebLogic Integration attempts to deliver the message but delivery is not guaranteed
  - OnceAndOnlyOnce - WebLogic Integration guarantees that the message is delivered once and only once.

    Ebxml 2.0 supported options are

    - BestEffort - WebLogic Integration attempts to deliver the message but delivery is not guaranteed
    - OnceAndOnlyOnce - WebLogic Integration guarantees that the message is delivered once and only once.
    - AtLeastOnce - WLI will deliver the message at least once. Duplicate elimination is not required, but acknowledgements are
    - AtMostOnce - WLI will deliver the message at most once. Duplicate check is done, but acknowledgement is not required

      The default is BestEffort

### setDeliverySemantics

    public void setDeliverySemantics(String newValue)
                              throws javax.management.InvalidAttributeValueException

  Registers the reliable messaging behavior.

  Parameters:
    `newValue` - - the delivery semantic option
  Throws:
    `javax.management.InvalidAttributeValueException`

### getRetryCount

    public int getRetryCount()

  Specifies the maximum number of retries for sending a reliably delivered message The default is 0.

### setRetryCount

    public void setRetryCount(int newValue)
                       throws javax.management.InvalidAttributeValueException

  Registers the maximum number of retries for sending a reliably delivered message

  Parameters:
    `newValue` - - the retry count
  Throws:
    `javax.management.InvalidAttributeValueException`

### getRetryInterval

    public String getRetryInterval()

  Specifies the time interval (in milliseconds) between retries of sending a reliably delivered message following a timeout waiting for a message acknowledgement. Default=0y0m0dt0h0m60s

  Returns:
    the retry interval, specified in 0y0m0dt0h0m0s

### setRetryInterval

    public void setRetryInterval(String description)
                          throws javax.management.InvalidAttributeValueException

  Registers the time interval for reliably sending a message following a timeout waiting for message acknowledgement.

  Parameters:
    `description` - - the retry interval, specified in timer control format. e.g 0y0m0dt0h0m0s
  Throws:
    `javax.management.InvalidAttributeValueException`

### getPersistDuration

    public String getPersistDuration()

  Specifies the duration for which messages have to be stored persistently for the purpose of duplicate elimination. The default value, if not specified is 0.

  Returns:
    - the time, specified in milliseconds

### setPersistDuration

    public void setPersistDuration(String description)
                            throws javax.management.InvalidAttributeValueException

  Registers the duration for which messages have to be stored persistently for the purpose fo duplicate elimination.

  Parameters:
    `description` - the duration, specified in timer control format. e.g.0y0m0dt0h0m60s
  Throws:
    `javax.management.InvalidAttributeValueException`

### addSignatureCertificate

    public void addSignatureCertificate(String name)
                                 throws ConfigurationException

  Registers the name or alias of the signature certificate for encrypting messages digitally. This method does not import the certificate in the key store, rather only adds a reference to the certificate as stored in Key Store

  Parameters:
    `name` - - Name of the certificate alias in Java Key Store
  Throws:
    `ConfigurationException`
  See Also:
    `CertificateMBean`

### addReferenceToSignatureCertificate

    public void addReferenceToSignatureCertificate(CertificateMBean certMBean)
                                            throws ConfigurationException

  Internal Use Only - Registers the certificate mbean of type signature certificate.

  Parameters:
    `certMBean` - - signature certificate mbean
  Throws:
    `ConfigurationException`

### removeSignatureCertificate

    public void removeSignatureCertificate()
                                    throws DeleteException

  Removes the reference for the signature certificate used for digitally signing message. This method does not delete/remove the certificate from Key Store, only removes the reference

  Throws:
    `DeleteException`

### addSignatureTransform

    public void addSignatureTransform(String xpath)
                               throws ConfigurationException

  This element defines an Xpath expression that may be one of a sequence of optional data transformations on a message that it is to be digitally signed. The message digest is computed after any transforms are performed on the message

  Parameters:
    `xpath` - - Algorithm for XML - DSIG for Data Transform
  Throws:
    `ConfigurationException`

### removeAllSignatureTransforms

    public void removeAllSignatureTransforms()
                                      throws DeleteException

  Remove all XPath transformation algorithm .

  Throws:
    `DeleteException`

### removeSignatureTransform

    public void removeSignatureTransform(String transform)
                                  throws DeleteException

  Remove the specific xpath transformation algorithm, that is used for computing the message digest.

  Parameters:
    `transform` - - xpath transformation algorithm
  Throws:
    `DeleteException` - - If the transform does not exist

### retrieveAllSignatureTransforms

    public String[] retrieveAllSignatureTransforms()
                                            throws ManagementException

  Returns all the optional xpath signatures transforms, used for computing the message digest used for digitally signing message for ebxml

  Throws:
    `ManagementException`

### retrieveSignatureCertificate

    public CertificateMBean retrieveSignatureCertificate()
                                                  throws ManagementException

  Retrieves the CertificateMBean for signature certificate.. The Certificate object can be used to retrieve the X509 certificate used for signing messages

  Returns:
    - Returns the signature certificate, is configured. `null` would be returned if there is no matching signature certificate
  Throws:
    `ManagementException` - - If signature certificate cannot be located in the Java Key Store

### getSignatureCertificateName

    public String getSignatureCertificateName()
                                       throws ManagementException

  OAM Use Only - Name of the signature certificate used for encryption .

  Returns:
    - name/alias of the certificate or null if not set
  Throws:
    `ManagementException`

### updateAll

    public void updateAll(String businessProtocolName,
                          String businessProtocolVersion,
                          boolean isDefault,
                          boolean isSignatureRequired,
                          boolean isReceiptSignatureRequired,
                          String deliverySematics,
                          int retryCount,
                          String retryInterval,
                          String persistDuration)
                   throws javax.management.InvalidAttributeValueException,
                          UpdateException,
                          ObjectActiveException

  Updates the EBXML Binding

  Parameters:
    `businessProtocolName` - - business procotol
    `businessProtocolVersion` - - version of this buisness Protocol
    `isDefault` - - Is this the default binding
    `isSignatureRequired` - - Is signature required
    `isReceiptSignatureRequired` - - Is Receipt Signature signature required
    `deliverySematics` - - Delivery Sematics
    `retryCount` - - Retry Count
    `retryInterval` - - retryInterval in 0y0m0dt0h0m0s
    `persistDuration` - - Persist Duration in 0y0m0dt0h0m0s
  Throws:
    `javax.management.InvalidAttributeValueException`
    `UpdateException`
    `ObjectActiveException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD